<?xml version="1.0" encoding="utf-8" ?>
<configuration>
  <configSections>
    <section name="nlog" type="NLog.Config.ConfigSectionHandler, NLog"/>
  </configSections>
  <nlog xmlns="http://www.nlog-project.org/schemas/NLog.xsd"
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        autoReload="true"
        internalLogLevel="Error"
        internalLogFile="Logs/Nlog.log">
    <targets>
      <target xsi:type="File" name="sessionTarget"
        fileName="Logs/Session.log" deleteOldFileOnStartup="true"
        layout="${date:format=yyyy-MM-dd@HH\:mm\:ss}-${level}: ${message}" />
      <target xsi:type="File" name="errorTarget"
        fileName="Logs/Error.log" deleteOldFileOnStartup="false"
        layout="${date:format=yyyy-MM-dd@HH\:mm\:ss}-${level}: ${message}${newline}${exception:format=ToString}${newline}" />
    </targets>
    <rules>
      <logger name="*" minlevel="Trace" writeTo="sessionTarget"/>
      <logger name="*" minlevel="Error" writeTo="errorTarget"/>
    </rules>
  </nlog>
</configuration>